<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
    'slider_section',
    array(
        'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
        'priority' =>18
    )
);
$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'Luzuk' ),
                'off' => __( 'Yes', 'Luzuk' )
            ),
        )
    )
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'slider_section_lbl',
        array(
            'settings'      => 'slider_section_lbl',
            'section'       => 'slider_section',
            'label'         => __( 'Note:', 'Luzuk' ),  
            'description'   => __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Use Image Same Size { 1200X700 } ', 'Luzuk' ),
        )
    )
);

lzCustomLable($wp_customize, 'slider_starset', 'slider_section', 'Slider Circle Display Setting');

$wp_customize->add_setting( 'slcir_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'slcir_button_display', array( 'label' => 'Circle Display', 'section' => 'slider_section', 'settings' => 'slcir_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

addColorPalatOption($wp_customize, 'slider_cirbgClr1', 'slider_section', 'Circle Color 1', '#1a3133');

addColorPalatOption($wp_customize, 'slider_cirbgClr2', 'slider_section', 'Circle Color 2', '#274345');


lzCustomLable($wp_customize, 'luzuk_slirover', 'slider_section', 'Section Image Overlay & Opacity');

$wp_customize->add_setting(
    'slider_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_areaOpacity',
    array(
        'settings'      => 'slider_areaOpacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'mslier_imgolyclr', 'slider_section', 'Image Overlay Color ', '#000');


lzCustomLable($wp_customize, 'luzuk_sliderclr', 'slider_section', 'Slider Color');

addColorPalatOption($wp_customize, 'slider_subtitlebgClr', 'slider_section', 'Sub Title BG Color', '#304042');

addColorPalatOption($wp_customize, 'slider_subtitlebrdClr', 'slider_section', 'Sub Title Border Color', '#6a7677');

addColorPalatOption($wp_customize, 'slider_subtitleClr', 'slider_section', 'Sub Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titleClr', 'slider_section', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titlehighClr', 'slider_section', 'Title Highlight Color', '#456C6F');

addColorPalatOption($wp_customize, 'slider_txtClr', 'slider_section', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_txtbrdClr', 'slider_section', 'Text Border Color', '#456c6f');

addColorPalatOption($wp_customize, 'slider_numxtClr', 'slider_section', 'Number & Text Color', '#fff');

// 

lzCustomLable($wp_customize, 'luzuk_slider2ndclr', 'slider_section', 'Button Color 1St');

addColorPalatOption($wp_customize, 'slider_BtntxtClr', 'slider_section', 'Button Text Color', '#0F1C1D');

addColorPalatOption($wp_customize, 'slider_BtntxthvClr', 'slider_section', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Btnbgclr', 'slider_section', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Btnbghvclr', 'slider_section', 'Button BG Hover Color', '#456c6f');

// 2nd
lzCustomLable($wp_customize, 'luzuk_sliderclr', 'slider_section', 'Button Color 2Nd');

addColorPalatOption($wp_customize, 'slider_Btn2txtClr', 'slider_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Btn2txthvClr', 'slider_section', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Btn2brdclr', 'slider_section', 'Button Border Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Btn2bghvclr', 'slider_section', 'Button BG Hover Color', '#456c6f');


lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Dots Color ');


addColorPalatOption($wp_customize, 'sli_btnbgclr', 'slider_section', 'Slider Dots Color', '#fff');

addColorPalatOption($wp_customize, 'sli_btnarowhvclr', 'slider_section', 'Slider Active Dot Color', '#456c6f');


lzCustomLable($wp_customize, 'slider_scrlset', 'slider_section', 'Scroll Button Display Setting');

$wp_customize->add_setting( 'scrl_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'scrl_button_display', array( 'label' => 'Scroll Button Display', 'section' => 'slider_section', 'settings' => 'scrl_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

$wp_customize->add_setting(
    'scrl_idtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'about', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'scrl_idtitle',
    array(
        'settings'      => 'scrl_idtitle',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Section Id', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'sli_scrarwclr', 'slider_section', ' Arrow Color', '#fff');